> ## Documentation Index
> Fetch the complete documentation index at: https://www.vozo.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Visual Translate Job Status

> Query visual translation job status



## OpenAPI

````yaml GET /v1/media/frame_translate/{task_id}
openapi: 3.1.0
info:
  title: Vozo API
  description: API for Generating, Editing and Localizing Talking Videos.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.vozo.ai
security:
  - bearerAuth: []
paths:
  /v1/media/frame_translate/{task_id}:
    get:
      description: Query visual translation job status
      parameters:
        - name: task_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Job Status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisualTranslateJobStatus'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VisualTranslateJobStatus:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          description: Current visual translation job status.
          enum:
            - queuing
            - processing
            - done
            - failed
        err_code:
          type: string
          description: Error code (present when status is failed).
        err_message:
          type: string
          description: Error message (present when status is failed).
        result:
          $ref: '#/components/schemas/VisualTranslateResult'
          description: Result URLs when available.
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        serverTs:
          type: string
    VisualTranslateResult:
      type: object
      properties:
        video_url:
          type: string
          description: Output video URL when the job is finished.
        project_url:
          type: string
          description: Web dashboard project URL when project_mode is editable.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form Bearer <api_key>, where
        <api_key> is your API Key. The token in the sample code is referring to
        this api_key as well.

````